<?php session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); 
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
if ($_POST['accion']==3 ) {
///////////////////////////////////////////////// IMPRIMIR REGISTROS ////////////////////////////////////////////////////////////////
	$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
	if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresa']=(substr($_POST['nomina'],6,100)==""?$_SESSION['empresa_validar']:substr($_POST['nomina'],6,100)) ;
	}   
	require('fpdf.php');

	class PDF extends FPDF {
	function Header()
	{
	    $this->Image($_SESSION['logo_validar'],10,10,20,20);
	    $this->SetFont('arial','',12);
		$this->Ln(2);
	    $this->Cell(0,0,$_POST['empresa'],0,1,'R'); $this->Ln(5);
		$this->Cell(0,0,$_POST['encabeza'],0,1,'R');$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(140);$this->Cell(40,0,'Fecha: '.hoy(),0,1,'L'); $this->Ln(5);
	    $this->Cell(140);$this->Cell(40,0,'Usuario: '.$usuario,0,1,'L'); $this->Ln(5);
		$this->Ln(10);
		$this->SetFont('arial','B',14);
		$this->Cell(0,0,'Reporte General de Periodos',0,1,'C');$this->Ln(5);
	    $header=array('Item','Nómina','Perí­odo','Desde','Hasta');
	    $this->SetFillColor(255,0,0);
	    $this->SetTextColor(255);
	    $this->SetDrawColor(128,0,0);
	    $this->SetLineWidth(.3);
	    $this->SetFont('','');
	    //Cabecera
	    $w=array(15,40,40,40,40);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],5,$header[$i],1,0,'C',1);
	    $this->Ln();
	    //Restauración de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}


//Pie de página ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function Footer()
	{
	$this->SetY(-15);
	$this->Cell(0,0,'',1,1,'C');
	$this->SetFont('Times','I',8);
	$this->ln(2);
	$this->Cell(20);$this->Cell(0,0,$_POST['pie'],0,1,'C');
	$this->Cell(0,10,'Página '.$this->PageNo().'/{nb}',0,0,'C');
	}
}
//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf=new PDF();
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',10);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace,"SELECT nomina.detalle,periodo.periodo,periodo.desde,periodo.hasta FROM nomina,periodo WHERE nomina.id='".$_SESSION['id_validar']."' and nomina.codigo=periodo.nomina order by nomina.codigo");
	$linea=0;
	$color=0;
	$total=0;
	while($row=mysqli_fetch_array($consulta)) {
		$linea++;
		$pdf->cell(15,5,$linea,0,0,'C',$color);
		$pdf->cell(40,5,$row['detalle'],0,0,'C',$color);
		$pdf->cell(40,5,$row['periodo'],0,0,'',$color);
		$pdf->cell(40,5,$row['desde'],0,0,'C',$color);
		$pdf->cell(40,5,$row['hasta'],0,1,'C',$color);
		$color=!$color;
	}
	$pdf->Output();
}
else {
?>
<html>
	<head><script language='javascript' src='fscript.js'></script>
	<link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table>	
<?		
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Usuario	
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Usuario
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Per&iacute;odo</h2>";


$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$periodo=$_REQUEST["periodo"];
$detalle=$_REQUEST["detalle"];
$cuenta=$_REQUEST["cuenta"];
$nomina=$_REQUEST["nomina"];
echo "<font face='verdana' size=2>";
///////////////////////////////////////////////// INICIO DEL PROGRAMA ////////////////////////////////////////////////////////////////
	$entra=0;
///////////////////////////////////////////////// AGREGAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['graba']==1 ) {
		$fdesde=crear_fecha($_POST['f1']);
		$fhasta=crear_fecha($_POST['f2']);
		if ($_POST['lunes']=='') $_POST['lunes']=0;
		$consulta="Select * from periodo where id='".$_SESSION['id_validar']."' and nomina = '".substr($_POST['nomina'],0,3)."' and periodo =  '".$_POST['periodo']."'" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		if ($num_rows == 0) {
			$consulta="insert into periodo (id,lunes, deduccion, nomina, periodo, desde, hasta) values ('".$_SESSION['id_validar']."','".$_POST['lunes']."', ucase(trim('".$_POST['deduccion']."')),ucase(trim('".$_POST['nomina']."')),ucase(trim('".$_POST['periodo']."')),ucase(trim('".$fdesde."')),ucase(trim('".$fhasta."')))";
			$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		} else $entra=1;
	}
    if ($entra) echo "<font face='Verdana, Arial, Helvetica, sans-serif' color ='#FF0000'size=3> (Registro Existe)</font>";
	
///////////////////////////////////////////////// ACTUALIZAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['modifica']==1 ) {
		$fdesde=crear_fecha($_POST['f1']);
		$fhasta=crear_fecha($_POST['f2']);
		if ($_POST['lunes']=='') $_POST['lunes']=0;
		$consulta="update periodo set lunes='".$_POST['lunes']."', deduccion=ucase(trim('".$_POST['deduccion']."')), periodo='".$_POST['periodo']."',desde = ucase(trim('".$fdesde."')), hasta=ucase(trim('".$fhasta."')) where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and periodo =  '".$_POST['periodo']."'" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}
///////////////////////////////////////////////// MOSTRAR ENTRADA DE DATOS  ////////////////////////////////////////////////////////////////
	if ((!$_POST || $accion==2 || $_POST['modifica']==1|| $_POST['graba']==1) && $accion!=3){
		$a=date ("Y");
		$m=date ("n");
		$d=date ("j");
		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_periodo(this)'>";
		echo "  <input type = 'hidden' name = 'graba' value = '1'>";
		echo "	<table align ='center'>";
		echo "	<tr>";
		echo "     <td align='right'> N&oacute;mina: </td>";
		$query = "select * from nomina where id='".$_SESSION['id_validar']."' order by codigo";
		$consulta = mysqli_query($enlace,$query) or die ("No se pudo realizar la consulta...");	
		$resultado = mysqli_num_rows($consulta);
		echo "     <td align = 'left'> <select name = 'nomina'>";
		for ($i=0;$i<$resultado;$i++) {
			$row = mysqli_fetch_array($consulta);
			if ($nomina=='') {
				if ($_POST['nomina']=='') {
					echo "<option width = '30%' bgcolor='#FFFFFF'>".$row['codigo']." - ".$row['detalle'];
				} else {
					echo "[".$_POST['nomina']."][".$row[0]."]";
					if (substr($_POST['nomina'],0,3)==$row[0]) 
						echo "<option width = '30%' bgcolor='#FFFFFF' selected>".$row['codigo']." - ".$row['detalle'];
					else echo "<option width = '30%' bgcolor='#FFFFFF'>".$row['codigo']." - ".$row['detalle'];
				}
			} else {
				if ($_POST['nomina']=='') {
					if ($nomina==$row[0]) echo "<option selected width = '30%' bgcolor='#FFFFFF'>".$row['codigo']." - ".$row['detalle'];
						else echo "<option width = '30%' bgcolor='#FFFFFF'>".$row['codigo']." - ".$row['detalle'];
				} else {
					if (substr($_POST['nomina'],0,3)==$row[0]) 
						echo "<option width = '30%' bgcolor='#FFFFFF' selected>".$row['codigo']." - ".$row['detalle'];
					else echo "<option width = '30%' bgcolor='#FFFFFF'>".$row['codigo']." - ".$row['detalle'];
				}
			}
		}
		echo "     </select></td>";
		echo "	</tr>";
		echo "	<tr>";
		echo "     <td align='right'> Per&iacute;odo: </td>";
		echo "     <td><input type = 'text' name = 'periodo' size = '3' maxlength = '3' onkeyup='verificar_periodo(this.form)'></td>";
		echo "	</tr>";
		echo "	<tr>";
		echo "     <td align='right'> Descontar Deducciones: </td>";
		echo "     <td><select name=deduccion><option value='1'>SI <option value='2'>NO </select></td>";
		echo "	</tr>";
		echo "	<tr>";
		echo "     <td align='right'> # Lunes: </td>";
		echo "     <td><input type = 'text' name = 'lunes' size = '3' maxlength = '1'></td>";
		echo "	</tr>";
		echo "	<tr>";
			echo "  	<td  align='right'>Fechas Desde (ddmmaaaa):</td>";
			echo "      <td><input type = 'text' name = 'f1' size = '10' maxlength = '8'</td>";
		echo"	</tr>";
		echo "	<tr>";
			echo "  	<td  align='right'>Fechas Hasta (ddmmaaaa):</td>";
			echo "      <td><input type = 'text' name = 'f2' size = '10' maxlength = '8'</td>";
		echo"	</tr>";

		echo "	</table>";
		echo "	<center><input name='procesar' type = 'submit' value = 'Grabar Registro' disabled></center>";
		echo "	</form>"; 
	}	
///////////////////////////////////////////////// ELIMINAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion==2) { 
		$consulta="delete from periodo where id='".$_SESSION['id_validar']."' and nomina='".$nomina."' and periodo='".$periodo."'";
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}
///////////////////////////////////////////////// MODIFICAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion==3) {
		$consulta="Select * from periodo where id='".$_SESSION['id_validar']."' and nomina = '".$nomina."' and periodo =  '".$periodo."'" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
// CARGAR REGISTRO SI NO EXISTE
		if ($num_rows != 0) {
				echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_periodo(this)'>";
				echo "<input type = 'hidden' name = 'modifica' value = '1'>";
				echo "<table align ='center'>";
				$row = mysqli_fetch_array($resultado);
				echo "	<tr>";
				echo "  <td align='right'> N&oacute;mina: </td>";
				$query = "select * from nomina where id='".$_SESSION['id_validar']."' order by codigo";
				$con1 = mysqli_query($enlace,$query) or die ("No se pudo realizar la consulta...");	
				$res1 = mysqli_num_rows($con1);
				echo "     <td align = 'left'> <select name = 'nomina'>";
				for ($i=0;$i<$res1;$i++) {
					$row1 = mysqli_fetch_array($con1);
					if ($row1['codigo']==$nomina ) echo "<option width='30%' bgcolor='#FFFFFF' selected>".$row1['codigo']." - ".$row1['detalle'];
					else echo "<option width = '30%' bgcolor='#FFFFFF'>".$row1['codigo']." - ".$row1['detalle'];
				}
				echo "     </select></td>";
				echo "	</tr>";
				echo "	<tr>";
				echo "     <td align='right'> Per&iacute;odo: </td>";
				echo "     <td><input type = 'text' name = 'periodo' size = '4' maxlength = '3' value ='".$periodo."' readonly></td>";
				echo "	</tr>";
				echo "	<tr>";
				echo "     <td align='right'> Descontar Deducciones: </td>";
				echo "     <td><select name=deduccion><option value='".$row['deduccion']."'>".($row['deduccion']=='2'?'NO':'SI')."<option value='1'>SI <option value='2'>NO </select></td>";
				echo "	</tr>";
				echo "	<tr>";
				echo "     <td align='right'> # Lunes: </td>";
				echo "     <td><input type = 'text' name = 'lunes' size = '3' maxlength = '1' value='".$row['lunes']."'></td>";
				echo "	</tr>";
				echo "	<tr>";
					echo "  	<td  align='right'>Fechas Desde (ddmmaaaa):</td>";
					echo "      <td><input type = 'text' name = 'f1' size = '10' maxlength = '8' value='".unir_fecha($row['desde'])."'></td>";
				echo"	</tr>";
				echo "	<tr>";
					echo "  	<td  align='right'>Fechas Hasta (ddmmaaaa):</td>";
					echo "      <td><input type = 'text' name = 'f2' size = '10' maxlength = '8' value='".unir_fecha($row['hasta'])."'></td>";
				echo"	</tr>";
				echo "</table>";
				echo "<table border=0  align = 'center'><tr>";
				echo "<td><input type = 'submit' value = 'Grabar Modificaci&oacute;n'></td>";
				echo "</form>"; 
				echo "<form action = '".$_SERVER['PHP_SELF']."'>";
				echo "<td><input type = 'submit' value = 'Cancelar'></td>";
				echo "</form></table><br>"; 				
			}
	}
///////////////////////////////////////////////// MOSTRAR TABLA DE REGISTROS ////////////////////////////////////////////////////////////////
	$consulta="Select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC";
	$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0){
			echo "<table border=1 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr BGcolor='#00BFFF' >";
			echo "<th ali=center><font face='verdana' size=2>N&oacute;mina</font></th> ";
			echo "<th ali=center><font face='verdana' size=2>Detalle</font></th> ";
			echo "<th ali=center><font face='verdana' size=2>Per&iacute;odo</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Desde</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Hasta</font></th>";
			echo "<th colspan=2 ali=center><font face='verdana' size=2>Acci&oacute;n</font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysqli_fetch_array($resultado);

				$consulta1="Select detalle from nomina where id='".$_SESSION['id_validar']."' and codigo='".$row['nomina']."'";
				$resultado1 = mysqli_query($enlace,$consulta1) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
				$row1 = mysqli_fetch_array($resultado1);
				
				if ($color) $tcolor="#BFE5FF";
				else $tcolor="#F4FEFF";
				$color=!$color;
				echo '<tr bgcolor="'.$tcolor.'" >';
				
				echo '<td width="100" align="center">'.$row['nomina'].'</td>';
				echo '<td width="100" align="center">'.$row1['detalle'].'</td>';
				echo '<td width="100" align="center">'.$row['periodo'].'</td>';
				echo '<td  align=center width="200">'.$row['desde'].'</td>';
				echo '<td  align=center width="200">'.$row['hasta'].'</td>';
				$nomina = $row['nomina'];
				$deduccion = $row['deduccion'];
				$periodo = $row['periodo'];
				if (substr($_SESSION['acceso_validar'],17,1)==0) 
				echo "<td width='60' align='center'></td>";
				else echo "<td width='60' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&nomina=".$nomina."&periodo=".$periodo."&deduccion=".$deduccion."'><img  border = 0  src='images/b_elimina.png' alt='ELIMINAR éste registro' ></a></td>";
				echo "<td width='60' align='center'><a href='".$_SERVER['PHP_SELF']."?accion=3&nomina=".$nomina."&periodo=".$periodo."'><img border = 0 src='images/b_edit.png' alt='MODIFICAR éste registro'></a></td>";
				echo '</tr>';
			}
			echo '</table>';
			echo "<form name='imprimir' method='POST' target ='_blank' action='".$_SERVER['PHP_SELF']."' enctype='multipart/form-data'>";
			echo "  <input type = 'hidden' name = 'accion' value = '3'>";
			echo "<center><input type = 'submit' value = 'Imprimir Resultado'></center></form>";
	} else echo "<hr>"; 		
	mysqli_free_result($resultado);
	mysqli_close($enlace);
	echo "	<script language='JavaScript' type='text/JavaScript'>";
	echo "		document.entrada.periodo.focus()";
	echo "	</script>";
    echo "</font></body>";
	echo "</html>";
}
?>